target=pdtreel1 pdtreel2 pdtreel3 pdtreel4 pdtreel5
\author{Rgine, Mangeard}
\email{regine@mangeard.fr}
#define TITLE Produit d'un vecteur par un rel

#if defined TARGET_pdtreel1
 \title{TITLE I}
#endif
#if defined TARGET_pdtreel2
 \title{TITLE II}
#endif
#if defined TARGET_pdtreel3
 \title{TITLE III}
#endif
#if defined TARGET_pdtreel4
 \title{TITLE IV}
#endif
#if defined TARGET_pdtreel5
 \title{TITLE V}
#endif
%% abscisses des points de la premire ligne
\text{xmin=-4}
\text{xmax=12}

#if defined TARGET_pdtreel1
\text{ymin=-2}
\text{ymax=4}
\text{x1=0,1,random(randint(2..6),randint(-4..-1))}
\text{y1=0,0,0}
\integer{debl1x=\xmin}
\integer{debl1y=0}
\integer{finl1x=\xmax}
\integer{finl1y=0}
\text{x2=\x1}
\text{tintro=}
#endif
#if defined TARGET_pdtreel2
\text{ymin=-4}
\text{ymax=8}
\text{x1= randint(0..3),randint(4..5),randint(6..8)}
\text{y1=\x1}
\integer{debl1x=\xmin}
\integer{debl1y=\ymin}
\integer{finl1x=\xmin + \ymax -(\ymin)}
\integer{finl1y=\ymax}
\text{x2=\x1}
\text{tintro=}
#endif
#if defined TARGET_pdtreel3
\text{ymin=-2}
\text{ymax=6}
\text{x1= randint(0..3),randint(4..5),randint(6..8)}
\text{y1=0,0,0}
%% abscisses des points de la deuxime ligne
\text{x2= randint(0..3),randint(4..5),randint(6..8)}
\text{y2=4,4,4}
\integer{debl1x=\xmin}
\integer{debl1y=0}
\integer{finl1x=\xmax}
\integer{finl1y=0}
\integer{debl2x=\xmin}
\integer{debl2y=4}
\integer{finl2x=\xmax}
\integer{finl2y=4}
\text{tintro=Les droites portant les points A,B,C et E,F,G sont parallles.}
#endif

#if defined TARGET_pdtreel4
\text{ymin=-4}
\text{ymax=8}
\text{x1= randint(0..3),randint(4..5),randint(6..8)}
\text{y1=\x1}
\integer{debl1x=\xmin}
\integer{debl1y=\ymin}
\integer{finl1x=\xmin + \ymax -(\ymin)}
\integer{finl1y=\ymax}

\integer{debl2x=\xmin+4}
\integer{debl2y=\ymin}
\integer{finl2x=\debl2x+\ymax-\ymin}
\integer{finl2y=\ymax}
%% abscisses des points de la deuxime ligne
\text{y2= randint(0..3),randint(4..5),randint(6..8)}
\text{x2=}
\for{i=1 to 3}
{
\integer{x=\y2[\i]+4}
\text{x2= wims (append item \x to \x2)}
}
\text{tintro=Les droites portant les points A,B,C et E,F,G sont parallles.}
#endif

#if defined TARGET_pdtreel5
\text{ymin=-2}
\text{ymax=6}
\text{x1= randint(0..3),randint(4..5),randint(6..8)}
\text{y1=0,0,0}
%% abscisses des points de la deuxime ligne
\text{x2= randint(0..3),randint(4..5),randint(6..8)}
\text{y2=4,4,4}
\integer{debl1x=\xmin}
\integer{debl1y=0}
\integer{finl1x=\xmax}
\integer{finl1y=0}
\integer{debl2x=\xmin}
\integer{debl2y=4}
\integer{finl2x=\xmax}
\integer{finl2y=4}
\text{tintro=Les droites portant les points A,B,C et E,F,G sont parallles.}
#endif

%% nom des points
\text{pt1=A,B,C}
#if (defined TARGET_pdtreel1 || defined TARGET_pdtreel2)
\text{ind1=1,2,3}
\text{ind2=1,3,2}
\text{pt2=A,B,C}
#else
\text{pt2=E,F,G}
\text{ind1=shuffle(3)}
\text{ind2=shuffle(3)}
#endif

%% noms des vecteurs
\text{v2=\overrightarrow{\pt1[\ind1[1]]\pt1[\ind1[2]]}}
\text{v1=\overrightarrow{\pt2[\ind2[1]]\pt2[\ind2[2]]}}

#if defined TARGET_pdtreel5
\text{quest1=\( \v1 +\v2)}
\text{quest2=\( \overrightarrow{u})}
\rational{k=(\x2[\ind2[2]]-(\x2[\ind2[1]])+(\x1[\ind1[2]])-(\x1[\ind1[1]]))/2}
\rational{k2=(\x1[\ind1[2]]-(\x1[\ind1[1]]))/2}
\rational{k1=(\x2[\ind2[2]]-(\x2[\ind2[1]]))/2}

#else
\text{quest1=\( \v1 )}
\text{quest2=\( \v2 )}
\rational{k=(\x2[\ind2[2]]-\x2[\ind2[1]])/(\x1[\ind1[2]]-\x1[\ind1[1]])}
#endif
%% calcul du coefficient de colinarit
\rational{mk=1/(\k)}

\if{\k>1 or \k<-1}
{
  \text{textsup= c'est \(\v1) qui a la plus grande norme}
  \text{textsup=\k>0?\textsup et \(\v1) et \(\v2) sont de mme sens:\textsup et \(\v1) et \(\v2) sont de sens opposs}
  \text{textsup2=\k>0? Le coefficent doit donc tre suprieur  1: Le coefficent doit donc tre infrieur  -1}
}
{
  \text{textsup= c'est \(\v2) qui a la plus grande norme}
  \text{textsup=\k>0?\textsup et \(\v1) et \(\v2) sont de mme sens:\textsup et \(\v1) et \(\v2) sont de sens opposs}
  \text{textsup2=\k>0? Le coefficent doit donc tre positif et infrieur  1: Le coefficent doit donc tre ngatif et suprieur  -1}
}



%% couleur des grilles
\text{gridcolor=lightblue}

%% cadre gnrique %%
\text{dimh=400}
\text{dimv=400}


\text{petitscarreaux=
linewidth 1
parallel 0,\ymin,0,\ymax,0.2,0,floor(5*(\xmax))+1,\gridcolor
parallel 0,\ymin,0,\ymax,-0.2,0,floor(5*abs(\xmin))+1,\gridcolor
parallel \xmin,0,\xmax,0,0,0.2,floor(5*(\ymax))+1,\gridcolor
parallel \xmin,0,\xmax,0,0,-0.2,floor(5*abs(\ymin))+1,\gridcolor
}

\text{groscarreaux=
linewidth 1
parallel 0,\ymin,0,\ymax,1,0,floor(\xmax+1),\gridcolor
parallel 0,\ymin,0,\ymax,-1,0,floor(abs(\xmin)+1),\gridcolor
parallel \xmin,0,\xmax,0,0,1,floor(\ymax+1),\gridcolor
parallel \xmin,0,\xmax,0,0,-1,floor(abs(\ymin)+1),\gridcolor
}

\text{droite1=
linewidth 2
line \debl1x,\debl1y,\finl1x,\finl1y,red
linewidth 5
points red,\x1[1],\y1[1],\x1[2],\y1[2],\x1[3],\y1[3]
text red,\x1[\ind1[1]]-0.5,\y1[\ind1[1]]+0.5,medium,\pt1[\ind1[1]]
text red,\x1[\ind1[2]]-0.5,\y1[\ind1[2]]+0.5,medium,\pt1[\ind1[2]]
text red,\x1[\ind1[3]]-0.5,\y1[\ind1[3]]+0.5,medium,\pt1[\ind1[3]]
}

\text{droite2=
linewidth 2
line \debl2x,\debl2y,\finl2x,\finl2y,blue
linewidth 5
points blue,\x2[1],\y2[1],\x2[2],\y2[2],\x2[3],\y2[3]
text blue,\x2[\ind2[1]]-0.5,\y2[\ind2[1]]+0.5,medium,\pt2[\ind2[1]]
text blue,\x2[\ind2[2]]-0.5,\y2[\ind2[2]]+0.5,medium,\pt2[\ind2[2]]
text blue,\x2[\ind2[3]]-0.5,\y2[\ind2[3]]+0.5,medium,\pt2[\ind2[3]]
}
#if (defined TARGET_pdtreel1 || defined TARGET_pdtreel2)
\text{droite2=}
#endif
#if defined TARGET_pdtreel5
\text{droite2=\droite2
linewidth 2
arrow \xmin+1,\ymin+3,\xmin+3,\ymin+3,10,black
text black,\xmin+2,\ymin+3.5,medium,u
}
#endif
\text{cadre=
xrange \xmin-1,\xmax+1
yrange \ymin-1,\ymax+1
\groscarreaux
\droite1
\droite2
}
%% fin du cadre gnrique %%

%% traage du dessin %%
\text{graph=
\cadre
}

%%%%%% enonc de l'exo %%%%%%
\statement{
<div class="float_left spacer">
\draw{\dimh,\dimv}{
	\graph}
</div>
\tintro
 Compltez par un rel l'galit vectorielle suivante:
<div class="wimscenter">
 \quest1 = \embed{r1,4} \quest2
</div>
}
%%%% collecte de la rponse de l'utilisateur %%%%
\reply{coeff}{\k}{type=numeric}

#if defined TARGET_pdtreel5
\feedback{\reply1<>\k}{On a \(\v1=\k1 \vec{u}) et \(\v2=\k2 \vec{u})}
#else
\feedback{\reply1>0 and \k<0}{ Attention les vecteurs \(\v1) et \(\v2) sont de sens opposs,
le coefficient doit donc tre ngatif}
\feedback{\reply1<0 and \k>0}{ Attention les vecteurs \(\v1) et \(\v2) sont de mme sens,
le coefficient doit donc tre positif}
\feedback{\reply1== \mk}{ Attention : on a \(\v1)= \k \(\v2) et \( \v2 )= \mk \(\v1)<br />
\textsup<br />
\textsup2}
#endif
