target=colinvect1 colinvect2 colinvect3 colinvect4 colinvect5
\language{fr}
\range{-5..5}
\author{Rgine, Mangeard}
\email{regine@mangeard.fr}
\computeanswer{no}
\format{html}
\precision{100}
#define TITLE Vecteurs colinaires
 \integer{rep=random(1,2)}
 \integer{numa=randint(2..5)}
 \integer{dena=1}
 \rational{a=simplify(\numa / \dena)}
 \integer{numb=randint(1..5)}
 \integer{denb=1}
 \rational{b=simplify(\numb / \denb)}
 \integer{numc=randint(2..5)}
 \integer{denc=1}
 \rational{c=simplify(\numc / \denc)}
 \integer{ia=random(1,-1)}
 \integer{ib=random(1,-1)}
 \integer{ic=random(1,-1)}
 \text{sa=\ia=1?:-}
 \text{sb=\ib=1?+:-}
 \text{sc=\ic=1?:-}
 \text{ta=\a=1?:texmath(\a)}
 \text{tb=\b=1?:texmath(\b)}
 \text{tc=\c=1?:texmath(\c)}

#if defined TARGET_colinvect1
 \title{TITLE I}
 \text{lstpts=\(\vec{u}) et \(\vec{v})}
 \text{quest=Les vecteurs \(\vec{u}) et \(\vec{v}) sont-ils colinaires}
 \if{\rep=1}
  {
  \rational{d=simplify( (\c) * (\b) / (\a))}
  \integer{id= \ic *\ia *\ib}
  \text{sd=\id=1?+:-}
  }
  {
  \integer{k=random(1,2)}
  \if{\k=1}
   {
     \rational{d=simplify(\c * \b / \a)}
     \integer{id= \ic *\ia *\ib}
     \text{sd=\id=1?-:+}
   }
   {
     \rational{d=simplify(\c * \b / \a+1)}
     \integer{id= random(1,-1)}
     \text{sd=\id=1?-:+}
   }
  }
  \text{td=\d=1?:texmath(\d)}

 \text{defpts=\(\vec{u} = \sa \ta \vec{i} \sb \tb \vec{j})<br />
\(\vec{v} = \sc \tc \vec{i} \sd \td \vec{j})}
\statement{
On considre deux vecteurs \(\vec{i}) et \(\vec{j}) non colinaires et les vecteurs \lstpts dfinis par:
<div class="wimscenter">
 \defpts
</div>
\quest ?
}
\answer{Colinaires ?}{\rep;Oui,Non}{type=radio}
#endif
#if defined TARGET_colinvect2
 \title{TITLE II}
 \text{lstpts=I,J,M,N et P}
 \integer{numa=random(1..5)}
 \integer{dena=\numa+random(1..4)}
 \rational{a=simplify(\numa / \dena)}
 \rational{b=1- \a}
 \integer{numc=random(2..5)}
 \integer{denc=1}
 \rational{c1=simplify(\numc / \denc)}
 \integer{numc=random(1..5)}
 \integer{denc=1}
 \rational{c3=simplify(\numc / \denc)}
 \text{quest=Les vecteurs \(\overrightarrow{MN}) et \(\overrightarrow{MP})}
 \text{v1=\(\overrightarrow{MN})}
 \text{v2=\(\overrightarrow{MP})}
 \rational{c2=simplify(\c1-1+(\b)*((\c3)-(\c1)))}
 \if{\rep=2}
  {
  \integer{k=random(1,2)}
  \if{\k=1}
    {
     \rational{c2=simplify(-1+(\b)*((\c3)-(\c1)))}
    }
    {
     \rational{c2=simplify(\c1+\b*((\c3)-(\c1)))}
    }
  }
 \text{ta=\a=1?:texmath(\a)}
 \text{tb=\b=1?:texmath(\b)}
 \text{tc1=\c1=1?:texmath(\c1)}
 \text{tc2=\c2=1?:texmath(\c2)}
 \text{tc3=\c3=1?:texmath(\c3)}
 \text{defpts=\(\overrightarrow{AI} =  \ta \overrightarrow{AD})<br />
\(\overrightarrow{CJ} = \tb \overrightarrow{CB})<br />
\(\overrightarrow{DM} = \tc1 \overrightarrow{DC})<br />
\(\overrightarrow{JN} = \tc2 \overrightarrow{IJ})<br />
\(\overrightarrow{AP} = \tc3 \overrightarrow{AB})<br />}
\rational{x1=\c2-\c1+1}
\rational{y1=-\b}
\rational{x2=\c3-\c1}
\rational{y2=-1}
#endif
#if defined TARGET_colinvect3
 \title{TITLE III}
 \text{lstpts=I,J et K}
 \text{quest=Les vecteurs \(\overrightarrow{IJ}) et \(\overrightarrow{IK})}
 \text{v1=\(\overrightarrow{IJ})}
 \text{v2=\(\overrightarrow{IK})}
 \rational{c2=\c}
 \rational{c1= simplify(\b + ((\c2)-1)*(\b-1+(\a)))}
 \integer{rep=1}
 \if{\rep=2}
   {
    \rational{c1= simplify(\b + ((\c2)+1)*(\b-1+(\a)))}
   }
 \text{tc1=\c1=1?:texmath(\c1)}
 \text{tc2=\c2=1?:texmath(\c2)}
 \text{sc=\c2>0?+}
 \text{defpts=\(\overrightarrow{CI} =  \tb \overrightarrow{CD})<br />
\(\overrightarrow{AJ} = \ta \overrightarrow{AB})<br />
\(\overrightarrow{BK} = \tc1 \overrightarrow{BA} \sc \tc2 \overrightarrow{BC})<br />}
\rational{x1=\a+\b-1}
\rational{y1=-1}
\rational{x2=\b-\c1}
\rational{y2=\c2-1}
#endif

#if defined TARGET_colinvect4
 \title{TITLE IV}
 \text{lstpts=E,F,G et H}
 \text{quest=Les vecteurs \(\overrightarrow{EF}) et \(\overrightarrow{GH})}
 \text{v1=\(\overrightarrow{EF})}
 \text{v2=\(\overrightarrow{GH})}
 \rational{d=simplify(\b*((\c)-1)/((\a)-1))}
 \if{\rep=2}
  {
   \rational{d=simplify(\b*((\c)-1)/((\a)+1))}
  }
 \text{td=\d=1?:texmath(\d)}
 \text{defpts=\(\overrightarrow{AE} =  \ta \overrightarrow{AB})<br />
\(\overrightarrow{BF} = \tb \overrightarrow{BC})<br />
\(\overrightarrow{CG} = \tc \overrightarrow{CD})<br />
\(\overrightarrow{DH} = \td \overrightarrow{DA})<br />
}
\rational{x1=1-\a}
\rational{y1=\b}
\rational{x2=\c-1}
\rational{y2=-\d}

#endif
#if defined TARGET_colinvect5
 \title{TITLE V}
 \text{lstpts=E et M}
 \text{quest=Trouver le rel \(k) tel que \(\overrightarrow{AE}= k \overrightarrow{AC})}
 \rational{rep=simplify(\a / (1 + \a))}
 \text{v1=\(\overrightarrow{DE})}
 \text{v2=\(\overrightarrow{DM})}
 \text{x1=k-1}
 \text{y1=k}
 \text{x2=\a}
 \text{y2=-1}
 \text{defpts=\(\overrightarrow{AM} = \ta \overrightarrow{AB})<br />
\(E) est le point d'intersection des droites \((AC)) et \((DM))<br />}

\statement{
On considre un paralllogramme \(ABCD) et les points \lstpts dfinis par:
<p style="text-align:center;">
 \defpts
</p>
<p>
\quest
</p>
Pour cela, exprimer \v1 et \v2 en fonction des vecteurs \(\overrightarrow{AB})
et \(\overrightarrow{AD}) et du rel \(k):
</p>
<table class="wimscenter wimsnoborder">
<tr><td>\v1=\embed{reply2,4}\(\overrightarrow{AB})+\embed{reply3,4}\(\overrightarrow{AD})</td></tr>
<tr><td>\v2=\embed{reply4,4}\(\overrightarrow{AB})+\embed{reply5,4}\(\overrightarrow{AD})</td></tr>
</table>
<p>
En tenant compte du fait que les points \(D,E) et \(M) sont aligns, en dduire la valeur de k: \embed{reply1}
</p>
}
\answer{valeur de k :}{\rep}{type=numeric}
\answer{}{\x1}{type=algexp}
\answer{}{\y1}{type=algexp}
\answer{}{\x2}{type=algexp}
\answer{}{\y2}{type=algexp}
#endif

#if (defined TARGET_colinvect4 || defined TARGET_colinvect3 || defined TARGET_colinvect2)

\statement{
On considre un paralllogramme \(ABCD) et les points \lstpts dfinis par:
<div class="wimscenter">
 \defpts
</div>
Exprimer \quest en fonction des vecteurs \(\overrightarrow{AB}) et \(\overrightarrow{AD}):

<table class="wimscenter wimsnoborder">
<tr><td>\v1=\embed{reply2,4}\(\overrightarrow{AB})+\embed{reply3,4}\(\overrightarrow{AD})</td></tr>
<tr><td>\v2=\embed{reply4,4}\(\overrightarrow{AB})+\embed{reply5,4}\(\overrightarrow{AD})</td></tr>
</table>
\quest sont-ils colinaires?
}
\answer{Colinaires ?}{\rep;Oui,Non}{type=radio}
\answer{}{\x1}{type=numeric}
\answer{}{\y1}{type=numeric}
\answer{}{\x2}{type=numeric}
\answer{}{\y2}{type=numeric}
#endif
